### Enumeration

# Gdk CrossingMode

#### Declaration

    enum Gdk.CrossingMode

#### Description [src]

Specifies the crossing mode for enter and leave events.

#### Members

Name | Description
--- | ---
`GDK_CROSSING_NORMAL` | Crossing because of pointer motion.
`GDK_CROSSING_GRAB` | Crossing because a grab is activated.
`GDK_CROSSING_UNGRAB` | Crossing because a grab is deactivated.
`GDK_CROSSING_GTK_GRAB` | Crossing because a GTK grab is activated.
`GDK_CROSSING_GTK_UNGRAB` | Crossing because a GTK grab is deactivated.
`GDK_CROSSING_STATE_CHANGED` | Crossing because a GTK widget changed state (e.g. sensitivity).
`GDK_CROSSING_TOUCH_BEGIN` | Crossing because a touch sequence has begun, this event is synthetic as the pointer might have not left the surface.
`GDK_CROSSING_TOUCH_END` | Crossing because a touch sequence has ended, this event is synthetic as the pointer might have not left the surface.
`GDK_CROSSING_DEVICE_SWITCH` | Crossing because of a device switch (i.e. a mouse taking control of the pointer after a touch device), this event is synthetic as the pointer didn’t leave the surface.